Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Current (1.8.0) macOS binaries out-of-date (deprecation warning because of 32bit on start) #6978

Closed
WS3023 opened this issue Nov 25, 2018 · 6 comments
Labels

Comments

@WS3023
Copy link

@WS3023 WS3023 commented Nov 25, 2018

Program needs to be updated for newest Mac OS. Computer says it will not work after next update.

@nielsmh

This comment has been minimized.

Copy link
Contributor

@nielsmh nielsmh commented Nov 25, 2018

This is something we're aware of. The game code itself does not need any changes, only the tooling used to prepare a release. While working on a new toolchain to make automated releases compatible with future macOS versions, we might look into making a one-off build of the current release that will also be forward-compatible.

@LordAro LordAro changed the title Needs update for mac Provide 64bit binaries for macOS Nov 25, 2018
@TrueBrain TrueBrain changed the title Provide 64bit binaries for macOS Current macOS binaries out-of-date (deprecation warning on start) Nov 25, 2018
@TrueBrain TrueBrain added the Mac OS label Nov 25, 2018
@TrueBrain

This comment has been minimized.

Copy link
Member

@TrueBrain TrueBrain commented Nov 25, 2018

Possibly fixed with #6916. Keeping this ticket around to validate if it that is the case.

@TrueBrain TrueBrain changed the title Current macOS binaries out-of-date (deprecation warning on start) Current (1.8.0) macOS binaries out-of-date (deprecation warning on start) Nov 25, 2018
@TrueBrain

This comment has been minimized.

Copy link
Member

@TrueBrain TrueBrain commented Nov 25, 2018

@andythenorth can you investigate (if possible) what the exact issue is? 32bit? 10.8? (current binary is both 32bit and targeted for 10.8)

@andythenorth

This comment has been minimized.

Copy link
Contributor

@andythenorth andythenorth commented Nov 25, 2018

I assume the OP is seeing the 32-bit deprecation warning, which is present in 10.13.6 (High Sierra).

32-bit-deprecation-warning

10.14.x (Mojave) will be the last macOS to run 32 bit apps.
https://support.apple.com/en-gb/HT208436

AFAICT, when I compile locally, I'm getting a 64 bit build.

As we can't currently compile official binaries, it's fine to park this until compile farm is rebuilt.

@TrueBrain TrueBrain removed the needs triage label Nov 25, 2018
@TrueBrain TrueBrain changed the title Current (1.8.0) macOS binaries out-of-date (deprecation warning on start) Current (1.8.0) macOS binaries out-of-date (deprecation warning because of 32bit on start) Nov 25, 2018
@andythenorth

This comment has been minimized.

Copy link
Contributor

@andythenorth andythenorth commented Jan 6, 2019

Officially compiled binaries are now being tested. The Mac binaries produced by the new cf are 64 bit, so this ticket can be closed when the new cf is finished.

@TrueBrain

This comment has been minimized.

Copy link
Member

@TrueBrain TrueBrain commented Jan 6, 2019

Will be fixed by issue #6916. Closing this in favor of the other.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.